export default self;
declare const self: Settings;
declare class Settings {
    configModalVisible: boolean;
    alwaysOnTop: boolean;
    startup: boolean;
    locale: string;
    originalState(): void;
    toggleSettingVisible(): void;
    setAlwaysOnTop(alwaysOnTop: any): void;
    setStartup(startup: any): void;
    setLocale(locale: any): void;
    fixOldVersionIntlStr(localStr: any): any;
    init(local: any): Promise<Settings>;
    save(): void;
    clearCache(): void;
}
